cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_positions \
--header 'Content-Type: application/json' \
--data '
{
"id": 2236,
"jsonrpc": "2.0",
"method": "private/get_positions",
"params": {
"currency": "BTC",
"kind": "future"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_positions"
payload = {
"id": 2236,
"jsonrpc": "2.0",
"method": "private/get_positions",
"params": {
"currency": "BTC",
"kind": "future"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 2236,
jsonrpc: '2.0',
method: 'private/get_positions',
params: {currency: 'BTC', kind: 'future'}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 2236,
"jsonrpc": "2.0",
"result": [
{
"average_price": 7440.18,
"delta": 0.006687487,
"direction": "buy",
"estimated_liquidation_price": 1.74,
"floating_profit_loss": 0,
"index_price": 7466.79,
"initial_margin": 0.000197283,
"instrument_name": "BTC-PERPETUAL",
"interest_value": 1.7362511643080387,
"kind": "future",
"leverage": 34,
"maintenance_margin": 0.000143783,
"mark_price": 7476.65,
"open_orders_margin": 0.000197288,
"realized_funding": -1e-8,
"realized_profit_loss": -9e-9,
"settlement_price": 7476.65,
"size": 50,
"size_currency": 0.006687487,
"total_profit_loss": 0.000032781
}
]
}{
"error": 123,
"jsonrpc": "2.0",
"message": "<string>",
"id": 123
}Account Management
private/get_positions
Retrieves all open positions for the authenticated account. Returns position details including size, average entry price, mark price, unrealized P&L, initial margin, maintenance margin, and other position-related information.
Results can be filtered by currency and instrument kind (future, option, etc.). To retrieve positions for a specific subaccount, use the subaccount_id parameter.
Scope: rat#view or wallet:accounts:read
GET
/
private
/
get_positions
cURL
Query Parameters
Currency name or "any" if don't care
Available options:
BTC, ETH, USDC, USDT, EURR, any Example:
"BTC"
Kind filter on positions
Instrument kind: "future", "option", "future_combo", "option_combo" (spot is excluded as spot trades are settled immediately and have no open positions)
Available options:
future, option, future_combo, option_combo Example:
"future"
The user id for the subaccount
Was this page helpful?
⌘I